org.apache.http.nio.reactor

## Interface SessionRequestCallback

-     public interface SessionRequestCallback

  SessionRequestCallback interface can be used to get notifications of completion of session requests asynchronously without having to wait for it, blocking the current thread of execution.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelled(SessionRequest request)` Triggered on cancellation of a `SessionRequest`.
    `void` | `completed(SessionRequest request)` Triggered on successful completion of a `SessionRequest`.
    `void` | `failed(SessionRequest request)` Triggered on unsuccessful completion a `SessionRequest`.
    `void` | `timeout(SessionRequest request)` Triggered if a `SessionRequest` times out.

- - ### Method Detail

    - #### completed

          void completed(SessionRequest request)

      Triggered on successful completion of a `SessionRequest`. The `SessionRequest.getSession()` method can now be used to obtain the new I/O session.
      Parameters:
        `request` - session request.

    - #### failed

          void failed(SessionRequest request)

      Triggered on unsuccessful completion a `SessionRequest`. The `SessionRequest.getException()` method can now be used to obtain the cause of the error.
      Parameters:
        `request` - session request.

    - #### timeout

          void timeout(SessionRequest request)

      Triggered if a `SessionRequest` times out.
      Parameters:
        `request` - session request.

    - #### cancelled

          void cancelled(SessionRequest request)

      Triggered on cancellation of a `SessionRequest`.
      Parameters:
        `request` - session request.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.